Get a modified Dashboard from the Designer
Our sample projects and report templates can help you learn the basics of working with our products.When the user opens a different dashboard in the designer, it assigns a new report object —
In Angular.
How it works. The event fires whenever the designer swaps its dashboard, so your component always holds the current one.
onAssignedReport lets you capture it.In Angular.
import { Component } from "@angular/core";
import { Designer, Stimulsoft } from "stimulsoft-dashboards-js-angular/designer";
@Component({
imports: [Designer],
template: `<sti-designer [(report)]="report" [options]="options" (onAssignedReport)="onAssignedReport($event)"></sti-designer>`
})
export class Example {
report: Stimulsoft.Report.StiReport;
options: Stimulsoft.Designer.StiDesignerOptions;
onAssignedReport(args: Stimulsoft.Designer.AssignedReportArgs) {
this.report = args.this.report;
}
constructor() {
this.report = new Stimulsoft.Report.StiReport();
this.report.loadFile("Dashboards/Dashboard.mrt");
this.options = new Stimulsoft.Designer.StiDesignerOptions();
this.options.appearance.fullScreenMode = true;
}
}onAssignedReport→args.report— the new dashboard object after the user opens or changes it.- For the designer,
reportis a two-way binding, so your variable stays in sync.
How it works. The event fires whenever the designer swaps its dashboard, so your component always holds the current one.

Get a modified Dashboard from the Designer
Our sample projects and report templates can help you learn the basics of working with our products.When the user opens a different dashboard in the designer, it assigns a new report object —
In Vue.
How it works. The event fires whenever the designer swaps its dashboard, so your component always holds the current one.
onAssignedReport lets you capture it.In Vue.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/designer'
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");
var options = new Stimulsoft.Designer.StiDesignerOptions();
options.appearance.fullScreenMode = true;
function onAssignedReport(args: Stimulsoft.Designer.AssignedReportArgs) {
report = args.report;
}
</script>
<template>
<Designer :report="report" :options="options" @assigned-report="onAssignedReport" />
</template>onAssignedReport→args.report— the new dashboard object after the user opens or changes it.- For the designer,
reportis a two-way binding, so your variable stays in sync.
How it works. The event fires whenever the designer swaps its dashboard, so your component always holds the current one.